# Class ObjectReflectionPropertyInspector

java.lang.Object
org.apache.tomcat.util.xreflection.ObjectReflectionPropertyInspector

public final class ObjectReflectionPropertyInspector extends Object
Tool for inspecting and generating reflection-less property setter code.

## Constructor Summary

Constructors
Constructor
Description
`ObjectReflectionPropertyInspector()`
Constructs an ObjectReflectionPropertyInspector.

## Method Summary

Modifier and Type
Method
Description
`static void`
`generateCode(Set<SetPropertyClass> baseClasses, String packageName, File location, String className)`
Generates code for the given set of property classes.
`static void`
`main(String... args)`
Main entry point for the tool.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectReflectionPropertyInspector

public ObjectReflectionPropertyInspector()
Constructs an ObjectReflectionPropertyInspector.

## Method Details

### main

public static void main(String... args) throws Exception
Main entry point for the tool.

Parameters:
  `args` - Command line arguments (output directory)
Throws:
  `Exception` - if an error occurs

### generateCode

public static void generateCode(Set<SetPropertyClass> baseClasses, String packageName, File location, String className) throws Exception
Generates code for the given set of property classes.

Parameters:
  `baseClasses` - The classes to process
  `packageName` - The package name for generated code
  `location` - The output directory
  `className` - The class name for generated code
Throws:
  `Exception` - if an error occurs